Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 654179 - [abrt] pypar2-1.4-6.fc14: typeToolBox.py:39:cast:ValueError: invalid literal for int() with base 10: 'False'
Summary: [abrt] pypar2-1.4-6.fc14: typeToolBox.py:39:cast:ValueError: invalid literal ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pypar2
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Maxime CARRON
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7c5b39a6
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-17 03:40 UTC by Noah Sin
Modified: 2012-08-16 19:36 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 19:36:18 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (771 bytes, text/plain)
2010-11-17 03:40 UTC, Noah Sin
no flags Details

Description Noah Sin 2010-11-17 03:40:15 UTC
abrt version: 1.1.13
architecture: i686
component: pypar2
executable: /usr/bin/pypar2
kernel: 2.6.35.6-48.fc14.i686
package: pypar2-1.4-6.fc14
reason: typeToolBox.py:39:cast:ValueError: invalid literal for int() with base 10: 'False'
release: Fedora release 14 (Laughlin)
time: 1289912707
uid: 500

backtrace
-----
typeToolBox.py:39:cast:ValueError: invalid literal for int() with base 10: 'False'

Traceback (most recent call last):
  File "/usr/bin/pypar2", line 20, in <module>
    import consts, dlgAbout, dlgOutput, gettext, gtk, gtk.glade, locale, os.path, prefsManager, sys, treeview
  File "/usr/share/pypar2/src/dlgOutput.py", line 19, in <module>
    import consts, gtk, prefsManager, signal, sys, os, vte
  File "/usr/share/pypar2/src/prefsManager.py", line 116, in <module>
    value       = typeToolBox.cast(elt.getAttribute('value'), elt.getAttribute('type'))
  File "/usr/share/pypar2/src/typeToolBox.py", line 39, in cast
    return int(value)
ValueError: invalid literal for int() with base 10: 'False'

Local variables in innermost frame:
type: u'int'
value: u'False'

Comment 1 Noah Sin 2010-11-17 03:40:18 UTC
Created attachment 460985 [details]
File: backtrace

Comment 2 Adi Paran 2010-11-18 15:45:40 UTC
Package: pypar2-1.4-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


Comment
-----
I want run Avidemux

Comment 3 Geofrey 2010-11-23 15:31:14 UTC
Package: pypar2-1.4-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.just ranned it
2.
3.

Comment 4 Oleg 2010-11-26 15:52:48 UTC
Package: pypar2-1.4-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.startup
2.
3.

Comment 5 mirek 2010-12-16 14:35:05 UTC
Package: pypar2-1.4-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.install installjammer
2.run installjammer
3.

Comment 6 john colucci 2011-01-07 23:17:30 UTC
Package: pypar2-1.4-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.loading sqlite3
2.
3.

Comment 7 vladcocos 2011-02-10 12:20:57 UTC
Package: pypar2-1.4-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.It just stopped.
2.
3.

Comment 8 vladcocos 2011-02-10 19:36:04 UTC
Package: pypar2-1.4-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.1
3.

Comment 9 Craig S 2011-02-28 03:08:00 UTC
Package: pypar2-1.4-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.No idea
2.
3.

Comment 10 Ameya Gore 2011-03-13 03:07:56 UTC
Package: pypar2-1.4-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Downloaded TOI Scorecard.
2. Installed gpar2
3. tried to open TOI Scorecard.

Comment 11 Lacrocivious Acrophosist 2011-03-19 14:28:09 UTC
Package: pypar2-1.4-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. yum install pypar2
2. launch pypar2 (from KDE menu entry created manually, or from command line)
3. observe immediate crash with backtrace information shown here


Comment
-----
Immediately after insall from Fedora 14 repo, initial launch from KDE menu entry failed with included backtrace. The application never appeared onscreen. Launch from command line has same result.

Comment 12 Oliver 2011-04-21 12:36:53 UTC
Package: pypar2-1.4-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. 1
2. 2
3. 3
  4

Comment 13 Bean 2011-05-01 22:44:18 UTC
Package: pypar2-1.4-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. It worked on first install. Then crashed subsequently.
2. Uninstall and Reinstall did nothing. Did not work on first boot, just crashes.
3.

Comment 14 Bean 2011-05-01 22:57:13 UTC
After removing pypar2, I rebooted and reinstalled using yum (command line).

It provided this additional error message:

Warning in file "/usr/share/applications/gnome-nautilus-folder-handler.desktop": usage of MIME type "x-directory/gnome-default-handler" is discouraged ("x-directory" is an old media type that should be replaced with a modern equivalent)

Comment 15 afsar-servis 2011-05-06 18:24:54 UTC
Package: pypar2-1.4-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.,
3.

Comment 16 afsar-servis 2011-05-06 18:35:44 UTC
Package: pypar2-1.4-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.,
3.

Comment 17 Alex melo 2011-08-15 17:16:40 UTC
Package: pypar2-1.4-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.comecou  abrir com frequencia
2.
3.

Comment 18 Alex melo 2011-08-17 04:34:46 UTC
Package: pypar2-1.4-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.comecou  abrir com frequencia
2.
3.

Comment 19 Vsevolod 2011-08-24 08:08:33 UTC
Package: pypar2-1.4-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Tried to start .py script

Comment 20 Craig S 2011-09-10 09:40:11 UTC
Package: pypar2-1.4-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.No idea
2.
3.

Comment 21 mahmoud mansy 2012-01-30 20:02:50 UTC
Package: pypar2-1.4-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.ا
2.
3.

Comment 22 Fedora End Of Life 2012-08-16 19:36:21 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.